# destroy

Endpoint: DELETE /api/agent_schedules/{id}
Version: 1.0.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `id` (string, required)

## Response 204:

  - `204` (unknown)
    allows creator to delete their own agent schedule

## Response 401:

  - `401` (unknown)
    denies non-creator admin from deleting agent schedule in same account

## Response 401 fields (application/json):

  - `status` (string, required)

  - `error` (string, required)

## Response 404:

  - `404` (unknown)
    DELETE /api/agent_schedules/:id returns 404 Not Found

## Response 404 fields (application/vnd.api+json):

  - `errors` (array, required)

  - `errors.title` (string, required)

  - `errors.detail` (string, required)

  - `errors.code` (string, required)

  - `errors.status` (string, required)

## Response 422:

  - `422` (unknown)
    blocks deletion when workflow API fails

## Response 422 fields (application/vnd.api+json):

  - `errors` (array, required)

  - `errors.title` (string, required)

  - `errors.detail` (string, required)

  - `errors.code` (string, required)

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)

  - `errors.status` (string, required)

  - `errors.meta` (object, required)

  - `errors.meta.validationCode` (string, required)

